<?xml version="1.0" encoding="utf-8"?>

<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_marginTop="@dimen/common_module_interval_medium"
    android:orientation="vertical">

    <LinearLayout
        android:id="@+id/relayout_tests"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:background="@drawable/dashboard_model_background"
        android:gravity="center"
        android:orientation="vertical"
        android:paddingHorizontal="@dimen/dashboard_model_padding_horizontal"
        android:paddingVertical="@dimen/dashboard_model_padding_vertical"
        app:layout_constraintHorizontal_weight="1"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toLeftOf="@id/relayout_tools"
        app:layout_constraintTop_toTopOf="parent">

        <ImageView
            android:layout_width="wrap_content"
            android:layout_height="22dp"
            android:src="@mipmap/ic_launcher" />

        <com.google.android.material.textview.MaterialTextView
            style="@style/TextContent"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:paddingVertical="@dimen/dashboard_model_title_padding_vertical"
            android:text="@string/test"
            tools:ignore="RelativeOverlap" />


    </LinearLayout>

    <LinearLayout
        android:id="@+id/relayout_tools"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/common_module_interval_small"
        android:background="@drawable/dashboard_model_background"
        android:gravity="center"
        android:orientation="vertical"
        android:paddingHorizontal="@dimen/dashboard_model_padding_horizontal"
        android:paddingVertical="@dimen/dashboard_model_padding_vertical"
        app:layout_constraintHorizontal_weight="1"
        app:layout_constraintLeft_toRightOf="@id/relayout_tests"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="@id/relayout_tests">

        <ImageView
            android:layout_width="wrap_content"
            android:layout_height="22dp"
            android:src="@mipmap/ic_launcher" />

        <com.google.android.material.textview.MaterialTextView
            style="@style/TextContent"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:paddingVertical="@dimen/dashboard_model_title_padding_vertical"
            android:text="@string/tools"
            tools:ignore="RelativeOverlap" />

    </LinearLayout>

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/common_module_interval_medium"
        android:background="@drawable/dashboard_model_background"
        android:paddingHorizontal="@dimen/dashboard_model_padding_horizontal"
        android:paddingVertical="@dimen/dashboard_model_padding_vertical"
        app:layout_constraintTop_toBottomOf="@id/relayout_tests">

        <ImageView
            android:id="@+id/phone_logo"
            android:layout_width="54dp"
            android:layout_height="54dp"
            android:src="@mipmap/ic_launcher" />

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_toStartOf="@id/im_menu"
            android:layout_toEndOf="@id/phone_logo"
            android:orientation="vertical">

            <com.google.android.material.textview.MaterialTextView
                style="@style/TextBig"
                android:id="@+id/tv_phone_brand"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="20dp"
                android:text="Xiaomi Mi"
                tools:ignore="RelativeOverlap" />

            <com.google.android.material.textview.MaterialTextView
                style="@style/TextContent"
                android:id="@+id/tv_phone_number"
                android:layout_width="wrap_content"
                android:layout_marginTop="6dp"
                android:layout_height="wrap_content"
                android:layout_marginStart="20dp"
                android:text="Xiaomi Mi"
                tools:ignore="RelativeOverlap" />

            <com.google.android.material.textview.MaterialTextView
                style="@style/TextContent"
                android:id="@+id/tv_phone_api_version"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="20dp"
                android:text="Xiaomi Mi"
                tools:ignore="RelativeOverlap" />

            <com.google.android.material.textview.MaterialTextView
                style="@style/TextContent"
                android:id="@+id/tv_phone_uptime"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="20dp"
                android:text="@string/uptime"
                tools:ignore="RelativeOverlap" />

            <com.google.android.material.textview.MaterialTextView
                style="@style/TextContent"
                android:id="@+id/tv_phone_deep_sleep"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="20dp"
                android:text="@string/deep_sleep"
                tools:ignore="RelativeOverlap" />


        </LinearLayout>

        <ImageView
            android:id="@+id/im_menu"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentEnd="true"
            android:src="@drawable/module_oval" />
    </RelativeLayout>


</androidx.constraintlayout.widget.ConstraintLayout>